## pbbam 2.4.0%2Bdfsg

=== debian/control ===
Source: pbbam
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Andreas Tille <tille@debian.org>
Section: science
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-exec,
               d-shlibs,
               meson,
               pkgconf,
               cmake,
               libboost-dev,
               libboost-iostreams-dev,
               zlib1g-dev,
               libssl-dev,
               libhts-dev,
               libpbcopper-dev (>> 2.2.0),
               python3-cram,
               libgtest-dev <!nocheck>,
               samtools <!nocheck>
Standards-Version: 4.7.2
Vcs-Browser: https://salsa.debian.org/med-team/pbbam
Vcs-Git: https://salsa.debian.org/med-team/pbbam.git
Homepage: https://pbbam.readthedocs.org/en/latest/index.html

Package: pbbamtools
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         libpbbam2.4.0 (= ${binary:Version})
Recommends: samtools
Description: processing Pacific Biosciences binary alignment/map files
 The BAM format is a binary, compressed, record-oriented container format
 for raw or aligned sequence reads. The associated SAM format is a text
 representation of the same data. The specifications for BAM/SAM are maintained
 by the SAM/BAM Format Specification Working Group.
 .
 PacBio-produced BAM files are fully compatible with the BAM specification,
 but makes use of the extensibility mechanisms of the BAM specification to
 encode PacBio-specific information.
 .
 This package provides command-line utilities for working with PacBio BAM
 files.

Package: libpbbam2.4.0
Architecture: any
Multi-Arch: same
Section: libs
Depends: ${shlibs:Depends},
         ${misc:Depends}
Pre-Depends: ${misc:Pre-Depends}
Breaks: libpbbam (<< ${source:Version})
Description: Pacific Biosciences binary alignment/map (BAM) library
 The BAM format is a binary, compressed, record-oriented container format
 for raw or aligned sequence reads. The associated SAM format is a text
 representation of the same data. The specifications for BAM/SAM are maintained
 by the SAM/BAM Format Specification Working Group.
 .
 PacBio-produced BAM files are fully compatible with the BAM specification,
 but makes use of the extensibility mechanisms of the BAM specification to
 encode PacBio-specific information. The pbbam library provides tools to
 work with these files

Package: libpbbam-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Depends: libpbbam2.4.0 (= ${binary:Version}),
         ${devlibs:Depends},
         libssl-dev,
         ${misc:Depends}
Description: Pacific Biosciences binary alignment/map (BAM) library (headers)
 The BAM format is a binary, compressed, record-oriented container format
 for raw or aligned sequence reads. The associated SAM format is a text
 representation of the same data. The specifications for BAM/SAM are maintained
 by the SAM/BAM Format Specification Working Group.
 .
 PacBio-produced BAM files are fully compatible with the BAM specification,
 but makes use of the extensibility mechanisms of the BAM specification to
 encode PacBio-specific information. The pbbam library provides tools to
 work with these files
 .
 This package contains the library header files.

=== debian/rules ===
#!/usr/bin/make -f

#DH_VERBOSE = 1
export LC_ALL=C.UTF-8
include /usr/share/dpkg/default.mk

export DEB_BUILD_MAINT_OPTIONS=hardening=+all

DEB_VERSION_UPSTREAM := $(subst +ds,,$(DEB_VERSION_UPSTREAM))
generated_data_dir = $(CURDIR)/gendata

%:
	dh $@ --buildsystem=meson

override_dh_auto_test: $(subst .t.in,.deb.t,$(wildcard tests/src/cram/pb*.t.in))
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	dh_auto_configure -O--buildsystem=meson
	mkdir -p $(generated_data_dir)
	python3 tests/scripts/generate_data.py $(CURDIR)/tests/data $(generated_data_dir)
	# Fix broken PATH
	synthetic_movie_all_path=`find $$PWD -name synthetic_movie_all.subreadset.xml` ; \
	sed -i -e "s?.GENERATEDDATADIR/synthetic_movie_all.subreadset.xml?$${synthetic_movie_all_path}?" tests/src/cram/pbbamify*
	BINDIR=`dirname $$(find $$PWD -name pbmerge -type f -executable)`; \
	LIBDIR=`find $$PWD -name lib -type d`; \
	PATH="$$BINDIR:$(PATH)" LD_LIBRARY_PATH="$$LIBDIR:$(LD_LIBRARY_PATH)" \
	cram3 -v --preserve-env $^
endif

override_dh_installchangelogs:
	dh_installchangelogs CHANGELOG.md

override_dh_auto_clean:
	dh_auto_clean
	find -name "*.deb.t" -delete
	$(RM) -r $(generated_data_dir)

%.deb.t: %.t.in
	sed \
	-e 's/$$BAM2SAM/samtools view/g' \
	-e 's/\-\-header\-only/-H/g' \
	-e 's/\-\-no\-header//g' \
	-e 's|@PacBioBAM_BinDir@/||g' \
	-e 's|$$TOOLS_BIN/||g' \
	-e 's|@PacBioBAM_TestsDir@|$(CURDIR)/tests|g' \
	-e 's|@PacBioBAM_VERSION@|$(DEB_VERSION_UPSTREAM)|g' \
	-e 's|@GeneratedTestDataDir@|$(generated_data_dir)|g' \
	-e '/@PG/s|+dfsg||g' \
	-e 's/$$SAMTOOLS/samtools/g' \
	$< > $@

override_dh_install:
	dh_install
	d-shlibmove --commit \
		    --multiarch \
		    --devunversioned \
		    --exclude-la \
		    --exclude-a \
		    --override s/libhts2-dev/libhts-dev/ \
		    --override s/libpbcopper[0-9.]*-dev/libpbcopper-dev/ \
		    --movedev debian/tmp/usr/include/* usr/include \
		    --movedev "debian/tmp/usr/lib/*/pkgconfig/*.pc" usr/lib/$(DEB_HOST_MULTIARCH)/pkgconfig \
		    debian/tmp/usr/lib/*/*.so
	find debian -name "lib*.la" -delete

## pbbam 2.4.0+dfsg

=== meson_options.txt ===
option('build-docs',
    type : 'boolean',
    value : false,
    description : 'Build PacBioBAM\'s API documentation')

option('auto-validate',
    type : 'boolean',
    value : false,
    description : 'Build PacBioBAM with BAM validation')

option('tests',
    type : 'boolean',
    value : true,
    description : 'Enable dependencies required for testing')

option('permissive-cigar',
    type : 'boolean',
    value : false,
    description : 'Allows loading BAM records which contain "M" operations in CIGAR strings.')

option('build-tools',
    type : 'boolean',
    value : true,
    description : 'Build PacBioBAM\'s tools')

=== debian/changelog ===
pbbam (2.4.0+dfsg-1) unstable; urgency=medium

  * New upstream version
  * Bump SOVERSION as upstream does in any new version

 -- Andreas Tille <tille@debian.org>  Wed, 08 Nov 2023 17:24:23 +0100

=== debian/control ===
--- 
+++ 
@@ -7,10 +7,9 @@
                dh-exec,
                d-shlibs,
                meson,
-               pkgconf,
+               pkg-config,
                cmake,
                libboost-dev,
-               libboost-iostreams-dev,
                zlib1g-dev,
                libssl-dev,
                libhts-dev,
@@ -18,10 +17,11 @@
                python3-cram,
                libgtest-dev <!nocheck>,
                samtools <!nocheck>
-Standards-Version: 4.7.2
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/med-team/pbbam
 Vcs-Git: https://salsa.debian.org/med-team/pbbam.git
 Homepage: https://pbbam.readthedocs.org/en/latest/index.html
+Rules-Requires-Root: no
 
 Package: pbbamtools
 Architecture: any

=== debian/watch ===
version=4

opts="repacksuffix=+dfsg,dversionmangle=s/\+dfsg//g,repack,compression=xz,filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%@PACKAGE@-$1.tar.gz%" \
  https://github.com/PacificBiosciences/pbbam/tags .*/v?@ANY_VERSION@@ARCHIVE_EXT@
